Name: libmm
Version: 1.3.0
Release: alt2
%define srcname mm-%version

Summary: Shared Memory Abstraction Library
License: BSD-style
Group: System/Libraries
Url: http://www.ossp.org/pkg/lib/mm

Packager: Rider <rider@altlinux.ru>

Source: %url/%srcname.tar.gz
Patch1: mm-1.1.3-shtool.patch

Provides: mm = %version
Obsoletes: mm

# Automatically added by buildreq on Sun Nov 30 2003
BuildRequires: glibc-devel-static termutils

%package devel
Summary: Development files for Shared Memory Abstraction Library
Group: Development/C
Requires: %name = %version-%release
Provides: mm-devel = %version
Obsoletes: mm-devel

%package devel-static
Summary: Static version of Shared Memory Abstraction Library
Group: Development/C
Requires: %name-devel = %version-%release

%description
The MM library is a 2-layer abstraction library which simplifies the usage of
shared memory between forked (and this way strongly related) processes under
Unix platforms. On the first layer it hides all platform dependent
implementation details (allocation and locking) when dealing with shared
memory segments and on the second layer it provides a high-level malloc(3)-
style API for a convenient and well known way to work with data-structures
inside those shared memory segments.

The library is released under the term of an open-source (BSD-style) license
because it's originally written for a proposed use inside next versions of
the Apache webserver as a base library for providing shared memory pools to
Apache modules (because currently Apache modules can only use heap-allocated
memory which isn't shared accross the pre-forked server processes). The
requirement actually comes from comprehensive modules like mod_ssl, mod_perl
and mod_php which would benefit a lot from easy to use shared memory pools.
Mostly all functionality (except for shared locks in addition to exclusive
locks and multi-segment memory areas instead of single-segment memory areas)
is already implemented and the library already works fine under FreeBSD,
Linux and Solaris and should also adjust itself for most other Unix platforms
with it's GNU Autoconf and GNU Libtool based configuration and compilation
procedure.

%description devel
The MM library is a 2-layer abstraction library which simplifies the usage of
shared memory between forked (and this way strongly related) processes under
Unix platforms. On the first layer it hides all platform dependent
implementation details (allocation and locking) when dealing with shared
memory segments and on the second layer it provides a high-level malloc(3)-
style API for a convenient and well known way to work with data-structures
inside those shared memory segments.

This package contains header files and tools needed for development with %name.

%description devel-static
The MM library is a 2-layer abstraction library which simplifies the usage of
shared memory between forked (and this way strongly related) processes under
Unix platforms. On the first layer it hides all platform dependent
implementation details (allocation and locking) when dealing with shared
memory segments and on the second layer it provides a high-level malloc(3)-
style API for a convenient and well known way to work with data-structures
inside those shared memory segments.

This package contains static library needed for development of statically
linked software with %name.

%prep
%setup -q -n %srcname
%patch1 -p0

%build
%configure
%make_build
make test

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc README LICENSE ChangeLog PORTING THANKS

%files devel
%_bindir/*
%_libdir/*.so
#_libdir/*.la
%_includedir/*
%_mandir/man?/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Sun Nov 30 2003 Alexey Tourbin <at@altlinux.ru> 1.3.0-alt2
- Do not package .la files.
- Do not package %name-devel-static by default.

* Thu May 08 2003 Rider <rider@altlinux.ru> 1.3.0-alt1
- new version

* Mon Jan 06 2003 Rider <rider@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Mon Nov 18 2002 Rider <rider@altlinux.ru> 1.2.1-alt1
- 1.2.1
- removed old patches

* Mon Jul 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1.1.3-ipl4mdk
- Fixed tmp races (by Sebastian Krahmer).

* Mon Sep 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.3-ipl3mdk
- Libification.

* Wed Nov 22 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.3-ipl2mdk
- FHSification.

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.3-ipl1mdk
- 1.1.3
- RE adaptions.

* Wed May 03 2000 Dmitry V. Levin <ldv@fandra.org>
- 1.1.1

* Sun Mar  5 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
